Почему Java, Silverlight, Adobe Acrobat и другие плагины больше не работают?

Почему Java, Silverlight, Adobe Acrobat и другие плагины больше не работают? Без рубрики

С Firefox версии 52, выпущенной в марте 2017 г., установленные NPAPI-плагины в Firefox не поддерживаются, кроме Adobe Flash Player. Одними из таких неподдерживаемых плагинов в Firefox, даже если они установлены на вашем компьютере, являются Silverlight, Java и Adobe Acrobat.

Окончание поддержки Flash: Как и другие браузеры и Adobe, Firefox прекратил поддержку Flash в конце 2020 года. Для получения дополнительной информации, пожалуйста, прочитайте статью Firefox завершит поддержку Adobe Flash.
Примечание: Плагины Widevine CDM и OpenH264 Video Codec не являются плагинами NPAPI и все ещё поддерживаются.

За последние несколько лет в Firefox были реализованы разнообразные Web API, с помощью которых веб-сайты могут выполнять свои прежние функции и задачи без помощи плагинов и, вероятнее всего, вы не заметите каких-либо изменений при использовании браузера.

Почему так произошло?

Интернет полон веб-сайтов, которые выходят за рамки статичных страниц и предлагают видео, музыку или игры. Хотя NPAPI-плагины, в частности, Flash, помогали воплощать такие интерактивные страницы, они делают просмотр более медленным, менее безопасным и более подверженным падениям.

На протяжении нескольких последних лет команда Firefox усердно работала над созданием замены плагинов, называемыми Web API. Web API разработаны с целью замены функций NPAPI плагинов без нарушения безопасности, стабильности и быстродействия браузера.

До этого, поскольку Web API не были до конца готовы, Firefox начал переход путем загрузки плагинов вручную при их необходимости (путём их активации по щелчку мыши).

Сейчас многие сайты поддерживают Web API, и вы можете просматривать почти все ваши любимые сайты без использования старых и небезопасных плагинов. Firefox присоединяется к другим современным браузерам, таким как Google Chrome и Microsoft Edge, в прекращении поддержки NPAPI-плагинов.

Что делать, если я использую более старую версию Firefox?

Мы рекомендуем Вам обновить Firefox, если это возможно.

Каждое обновление Firefox включает в себя важные исправления и улучшения, в том числе улучшения, которые помогают вам оставаться в безопасности в Интернете. Использование старой версии любого браузера, включая Firefox, подвергает риску ваши личные данные и даже ваш компьютер.

Firefox имеет расширенную поддержку для функций, которые раньше требовали дополнительных плагинов. Плагины, кроме того, также поддерживаются в актуальном состоянии автоматически и управляются через список блокировки для дополнительной безопасности. Поэтому вы можете оставаться в безопасности, используя только обновление Firefox.

Оцените статью
Добавить комментарий